
Imports Microsoft.VisualBasic
Imports BaseClasses.Utils.DbUtils
  
Namespace Persons.UI

  

    Public Interface IMenu1

#Region "Interface Properties"
        
        ReadOnly Property การปฏ_บ_ต_งานMenuItem() As IMenu_Item
        ReadOnly Property การปฏ_บ_ต_งานMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property การศ_กษาMenuItem() As IMenu_Item
        ReadOnly Property การศ_กษาMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ความสามาถด_านก_ฬาMenuItem() As IMenu_Item
        ReadOnly Property ความสามาถด_านก_ฬาMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ความสามารถด_านภาษาMenuItem() As IMenu_Item
        ReadOnly Property ความสามารถด_านภาษาMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ความสามารถพ_เศษMenuItem() As IMenu_Item
        ReadOnly Property ความสามารถพ_เศษMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property เคร__องราชอ_สร_ยาภรณ_MenuItem() As IMenu_Item
        ReadOnly Property เคร__องราชอ_สร_ยาภรณ_MenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property เง_นเด_อนMenuItem() As IMenu_Item
        ReadOnly Property เง_นเด_อนMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property เง_นเพ__มพ_เศษMenuItem() As IMenu_Item
        ReadOnly Property เง_นเพ__มพ_เศษMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ตำแหน_งMenuItem() As IMenu_Item
        ReadOnly Property ตำแหน_งMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property บ_คคลท__เก__ยวข_องMenuItem() As IMenu_Item
        ReadOnly Property บ_คคลท__เก__ยวข_องMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ประว_ต_ท__วไปMenuItem() As IMenu_Item
        ReadOnly Property ประว_ต_ท__วไปMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property เปล__ยนช__อMenuItem() As IMenu_Item
        ReadOnly Property เปล__ยนช__อMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ยศMenuItem() As IMenu_Item
        ReadOnly Property ยศMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property ว_นทว_ค_ณMenuItem() As IMenu_Item
        ReadOnly Property ว_นทว_ค_ณMenuItemHilited() As IMenu_Item_Highlighted
        ReadOnly Property หน_าหล_กMenuItem() As IMenu_Item
        ReadOnly Property หน_าหล_กMenuItemHilited() As IMenu_Item_Highlighted
      Property Visible() as Boolean
         

#End Region

    End Interface

  
End Namespace
  